/******************************************************************************
*                                                                             *
*                            Module specification                             *
*                                                                             *
*                                Copyright by                                 *
*                                                                             *
*                              Azoteq (Pty) Ltd                               *
*                          Republic of South Africa                           *
*                                                                             *
*                           Tel: +27(0)21 863 0033                            *
*                          E-mail: info@azoteq.com                            *
*                                                                             *
*******************************************************************************
Name             :  IQS333.h
Description      :  IQS333 Address Structure Map (see datasheet)
                 :  This Header file can be used to set the settings on the
                 :  IQS333 easily
                 :  The parameters are used IQS333_Button_Wheel_Settings(void)
Author           :  Alwino van der Merwe
Date             :  24/07/13
Revision         :  V1.3.1
*******************************************************************************/

#ifndef IQS333_H
#define	IQS333_H
#endif

//i2c Slave Address Default
#define IQS333_ADDR 0x64

// Communication Command / Address Structure on IQS333 - ie. Memory Map
#define	VERSION_INFO		0x00	// Product number can be read      : 2 bytes
#define FLAGS 			0x01	// System flags and events         : 1 byte
#define WHEEL_COORDS		0x02	// Wheel coordinates - 2 wheels    : 4 bytes
#define TOUCH_BYTES     	0x03	// Touch channels                  : 2 bytes
#define COUNTS                	0x04	// Count Values                    :20 bytes
#define LTA              	0x05	// LTA Values                      :20 bytes
#define MULTIPLIERS            	0x06	// Multipliers Values              :10 bytes
#define COMPENSATION            0x07	// Compensation Values (PCC)       :10 bytes
#define PROXSETTINGS           	0x08	// Prox Settings - Various         : 6 bytes
#define THRESHOLDS              0x09	// Threshold Values                :10 bytes
#define TIMINGS                 0x0A    // Timings                         : 5 bytes
#define	ATI_TARGETS		0x0B	// Targets for ATI                 : 2 bytes
#define PWM 			0x0C	// PWM Settings                    : 4 bytes
#define PWM_LIMIT		0x0D	// PWM Limits and speed            : 2 bytes
#define ACTIVE_CHANNELS     	0x0E	// Active channels                 : 2 bytes
#define BUZZER           	0x0F	// Buzzer Output                   : 1 byte
