/******************************************************************************
*                                                                             *
*                            Module specification                             *
*                                                                             *
*                                Copyright by                                 *
*                                                                             *
*                              Azoteq (Pty) Ltd                               *
*                          Republic of South Africa                           *
*                                                                             *
*                           Tel: +27(0)21 863 0033                            *
*                          E-mail: info@azoteq.com                            *
*                                                                             *
*******************************************************************************
Name             :  IQS333_Handler.h
Description      :  Header file of some of the IQS333 register values,
                 :  used in IQS333_Handler.c
Author           :  Alwino van der Merwe
Date             :  13/06/13
Revision         :  V1.0
*******************************************************************************/
#ifndef IQS333_HANDLER_H
#define	IQS333_HANDLER_H

#define PROX_THRESHOLD_VAL          0x06            // values between 1 and 255 in byte 0 in register 0x09
#define DEFAULT_PROX_THRESHOLD      0x04            // default prox threshold of 4
#define TOUCH_THRESHOLD             0x10
#define WHEEL_TOUCH_THRESHOLD       0x12
#define DEFAULT_TOUCH_THRESHOLD     0x60            // Default touch threshold of 16
#define WHEEL_RES_DEFAULT           0x81            // Default wheel resolution of 11-bit
#define LP_VALUE                    0x20            // 32 x 16ms = 512ms charge cycle

/* Define BASE Values */
#define BASE_75                     0x40
#define BASE_100                    0x80
#define BASE_150                    0xC0
#define BASE_200                    0x00

/* Targets */
#define TARGET_CH0                  0xA0            // 160 x 8
#define TARGET_CH1_9                0x46            //  70 x 8

void identify_and_setup_IQS(void);
void IQS333_Button_Wheel_Settings(void);
void handle_events(void);

#endif
