/*
 * This file contains all the necessary settings for the IQS333 and this file can
 * be changed from the GUI or edited here
 * File:   IQS333_init.h
 * Author: Alwino
 */

#ifndef IQS333_INIT_H
#define	IQS333_INIT_H

/* Used to switch to Projection mode */
#define SYSTEM_FLAGS_VAL                    0x20

/* Change the Multipliers (BASE value) of each channel  */
#define MULTIPLIERS_CH0                     0x80
#define MULTIPLIERS_CH1                     0x80
#define MULTIPLIERS_CH2                     0x80
#define MULTIPLIERS_CH3                     0x80
#define MULTIPLIERS_CH4                     0x40
#define MULTIPLIERS_CH5                     0xC0
#define MULTIPLIERS_CH6                     0xC0
#define MULTIPLIERS_CH7                     0x00
#define MULTIPLIERS_CH8                     0x00
#define MULTIPLIERS_CH9                     0x00

/* Change the Compensation for each channel  */
#define COMPENSATION_CH0                    0x00
#define COMPENSATION_CH1                    0x00
#define COMPENSATION_CH2                    0x00
#define COMPENSATION_CH3                    0x00
#define COMPENSATION_CH4                    0x00
#define COMPENSATION_CH5                    0x00
#define COMPENSATION_CH6                    0x00
#define COMPENSATION_CH7                    0x00
#define COMPENSATION_CH8                    0x00
#define COMPENSATION_CH9                    0x00

/* Change the Prox Settings or setup of the IQS333 */
#define PROXSETTINGS0_VAL                   0x16
#define PROXSETTINGS1_VAL                   0x20
#define PROXSETTINGS2_VAL                   0x48
#define PROXSETTINGS3_VAL                   0x80
#define PROXSETTINGS4_VAL                   0x07
#define PROXSETTINGS5_VAL                   0x7F

/* Change the Thresholds for each channel */
#define PROX_THRESHOLD                      0x04
#define TOUCH_THRESHOLD_CH1                 0x10
#define TOUCH_THRESHOLD_CH2                 0x10
#define TOUCH_THRESHOLD_CH3                 0x10
#define TOUCH_THRESHOLD_CH4                 0x10
#define TOUCH_THRESHOLD_CH5                 0x10
#define TOUCH_THRESHOLD_CH6                 0x10
#define TOUCH_THRESHOLD_CH7                 0x10
#define TOUCH_THRESHOLD_CH8                 0x10
#define TOUCH_THRESHOLD_CH9                 0x10

/* Change Timings on the IQS333 */
#define FILTER_HALT                         0x50
#define POWER_MODE                          0x00
#define TIMEOUT_PERIOD                      0x10
#define CH0_ACF_BETA                        0x02
#define CH0_9_ACF_BET1                      0x02

/* Change ATI Target values  */
#define ATI_TARGET_CH0                      0x80
#define ATI_TARGET_CH0_9                    0x40

/* Change PWM settings  */
#define PWM_0                               0x00
#define PWM_1                               0x00
#define PWM_2                               0x00
#define PWM_3                               0x00
#define PWM_4                               0x00
#define PWM_5                               0x00
#define PWM_6                               0x00
#define PWM_7                               0x00

/*  Change PWM limits and Speed */
#define PWM_LIMITS                          0x00
#define PWM_SPEED                           0x00

/*  Set Active Channels */
#define ACTIVE_CH0                          0x3F
#define ACTIVE_CH1                          0x00

/* Set Buzzer Output */
#define BUZZER_VAL                          0x00

#endif	/* IQS333_INIT_H */

